Skip to content

list_incident_action_items

GET
/incident/{incident_id}/action_items
curl --request GET \
--url https://api.siteqwality.com/incident/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/action_items \
--header 'Authorization: Bearer <token>'
incident_id
required
string format: uuid

Incident identifier

The incident’s action items, oldest first

Media type application/json
Array<object>
object
id
required
string format: uuid
incident_id
required
string format: uuid
title
required
string
status
required
string
Allowed values: open done wont_do
owner_user_id
string | null format: uuid
due_date

YYYY-MM-DD.

string | null format: date
external_url
string | null
created_by_user_id

Null for API keys.

string | null format: uuid
created_at
required
string format: date-time
updated_at
required
string format: date-time
completed_at

When it was marked done or won’t do.

string | null format: date-time
overdue
required

Open and past its due date in the account’s time zone.

boolean
reminded_at

When its owner was emailed that it is overdue.

string | null format: date-time
incident
One of:

The incident, on the follow-up list only.

object
id
required
string format: uuid
title
required
string
severity
required
string
Allowed values: minor major critical
responder_status
required
string
Allowed values: triggered acknowledged resolved
Example
[
{
"status": "open",
"incident": {
"severity": "minor",
"responder_status": "triggered"
}
}
]

Missing authentication

Missing incidents read scope

Incident not found

Internal server error